profunctors-4.0.1: Profunctors

Portability | MPTCs
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Trustworthy

Data.Profunctor.Collage

Description

Synopsis

- data Collage k b a where
  - L :: (b -> b') -> Collage k (L b) (L b')
  - R :: (a -> a') -> Collage k (R a) (R a')
  - C :: k b a -> Collage k (L b) (R a)

# Documentation

data Collage k b a where Source

The cograph of a `Profunctor`.

Constructors

L :: (b -> b') -> Collage k (L b) (L b') |
R :: (a -> a') -> Collage k (R a) (R a') |
C :: k b a -> Collage k (L b) (R a) |

Instances

Profunctor k => Semigroupoid (Collage k) |
Profunctor k => Ob (Collage k) (R a) |
Profunctor k => Ob (Collage k) (L a) |